Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Mosè Giordano <[email-masked]>
Date: Tue, 3 Jan 2017 16:57:13 +0100

2017-01-03 16:27 GMT+01:00 Tassilo Horn <[email-masked]>:
> Ok, there's a new variable `font-latex-fontify-script-max-level' which
> defines up to which scriptification level the script faces are applied
> again (thereby causing the decrease in font size).
>
>> In my pixelated example, position of the baseline starts to be wrong
>> after the fifth nested script (but this depends on the font and its
>> size), maybe we can stop scaling after the ~4th nested script?
>
> A problem of the previous version of the feature was that the raise
> factors were just added up and didn't account for the fact that the font
> size also shrinks.  In the current version, with each level the addition
> to the raise value gets smaller (about 80% of the previous addition).

I think it's perfect now for most cases!  Thank you so much.

Bye,
Mosè